Subject: Re: [ANNOUNCE] Git v2.41.0-rc2

From: Todd Zullinger <[email-masked]>
Date: Wed, 24 May 2023 19:40:28 -0400

[email-masked] wrote:
> I'm not sure this is a new thing but it is the first time
> I noticed it in the log. It was not in the build log for
> 2.41.0-rc0.
>
> /usr/coreutils/bin/bash: line 3: tclsh: command not found
>     * tclsh failed; using unoptimized loading

Have you set NO_TCLTK in your builds?  I don't see that in
the NonStop section of config.mak.uname.

> Tclsh is not available on NonStop or S/390 AFAIK. While
> its use does go back to 2007, I just want to ensure that
> it does not sneak in as a dependency beyond git-gui and
> gitk-git.

The only references to tclsh outside of the Makefile and
git-gui/gitk are commented code in contrib/buildsystems/,
engine.pl and parse.pl.

-- 
Todd